import edu.neu.ccs.gui.*;
import edu.neu.ccs.jpf.*;
import java.awt.*;

/**
 * Contains tests for classes defined for the
 * Array exercises homework.
 * @author *** YOUR NAME HERE ***
 */
public class ArrayTests extends JPF {

    /** Starts the application. */
    public static void main(String[] args) { new ArrayTests(); }
    
    /////////////////////
    // YOUR TESTS HERE //
    /////////////////////
    
    /** Starts the bingo application. */
    public void RunBingo() {
        if (!declaresMethods(BingoNumbers.class,
            new String[] {
                "public void call(int num)",
                "public boolean isCalled(int num)",
                "public void newGame()"
            }))
        {
            return;
        }
        
        JPTFrame.createQuickJPTFrame("Bingo", new BingoGameView());
    }

    /** Starts the gaming wheel application. */
    public void RunGamingWheel() {
        if (!declaresMethods(GamingWheel.class,
            new String[] {
                "public void spin(int num)",
                "private void rotateRight()",
                "public Prize currentPrize()",
                "public int prizeCount()"
            }))
        {
            return;
        }
        
        JPTFrame.createQuickJPTFrame(
            "Step right up!", new GamingWheelGameView());
    }

    /** Starts the audio player application. */
    public void RunAudioPlayer() {
        console.out.print("Using an IVector implementation of type: ");
        console.out.println(VectorFactory.createVector().getClass().getName());
    
        JPTFrame.createQuickJPTFrame(
            "Audio player", 
            new AudioPlayerView(),
            new GridLayout(1, 1));
    }
}